For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all projects for entity
      • POSTCreate a project
      • GETGet a project by ID
      • DELDelete a project
      • PATCHUpdate a project
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonProjects

Get all projects for entity

GET
/projects
GET
/v1/projects
$curl https://api.sandbox.monite.com/v1/projects \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "entity_id": "entity_id",
8 "name": "Marketing",
9 "code": "code",
10 "color": "color",
11 "created_by_entity_user_id": "created_by_entity_user_id",
12 "description": "description",
13 "end_date": "end_date",
14 "parent_id": "parent_id",
15 "partner_metadata": {
16 "key": "value"
17 },
18 "start_date": "start_date",
19 "tags": [
20 {
21 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
22 "created_at": "2022-09-07T16:35:18Z",
23 "updated_at": "2022-09-07T16:35:18Z",
24 "name": "Marketing",
25 "category": "document_type",
26 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
27 "description": "Tag for the Marketing Department"
28 }
29 ]
30 }
31 ],
32 "next_pagination_token": "next_pagination_token",
33 "prev_pagination_token": "prev_pagination_token"
34}
Get all projects for an entity
Was this page helpful?
Previous

Create a project

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sortenumOptional

The field to sort the results by. Typically used together with the order parameter.

Allowed values:
created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
start_datestringOptionalformat: "date"
start_date__gtstringOptionalformat: "date"
start_date__ltstringOptionalformat: "date"
start_date__gtestringOptionalformat: "date"
start_date__ltestringOptionalformat: "date"
end_datestringOptionalformat: "date"
end_date__gtstringOptionalformat: "date"
end_date__ltstringOptionalformat: "date"
end_date__gtestringOptionalformat: "date"
end_date__ltestringOptionalformat: "date"
namestringOptional
name__iexactstringOptional
name__containsstringOptional
name__icontainsstringOptional
codestringOptional
created_by_entity_user_idstringOptionalformat: "uuid"

Response

Successful Response
datalist of objects
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

400
Get Projects Request Bad Request Error
401
Get Projects Request Unauthorized Error
403
Get Projects Request Forbidden Error
404
Get Projects Request Not Found Error
406
Get Projects Request Not Acceptable Error
422
Get Projects Request Unprocessable Entity Error
500
Get Projects Request Internal Server Error